> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 単一のワークスペースの取得

> 指定したキーを使用して、単一の workspaces オブジェクトを返します。



## OpenAPI

````yaml 26.2/self-hosted/ja/api-reference/openapi.json GET /workspaces('{Workspaceid}')
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /workspaces('{Workspaceid}'):
    get:
      tags:
        - workspaces
      summary: 単一のワークスペースの取得
      description: 指定したキーを使用して、単一の workspaces オブジェクトを返します。
      operationId: getworkspaces
      parameters:
        - name: Workspaceid
          in: path
          description: キー Workspaceid
          required: true
          schema:
            type: string
        - name: $select
          in: query
          schema:
            type: string
          description: 構造プロパティを選択します
      responses:
        '200':
          description: workspaces レスポンス
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/workspaces'
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    workspaces:
      type: object
      properties:
        Workspaceid:
          description: ワークスペースのId。
          type: string
      required:
        - Workspaceid
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````